import React from 'react';

import Head from '../components/AnnotationListHead';
import useStore from '../store';
import useActions from '../actions';

const AnnotationListHead: React.FC = () => {
  const [, dispatch] = useStore();
  const {
    setNavbar,
    addAnnots,
  } = useActions(dispatch);

  return (
    <Head
      close={(): void => { setNavbar(''); }}
      addAnnots={addAnnots}
    />
  );
};

export default AnnotationListHead;
