export const canUseDOM = (): boolean => (
  !!(typeof window !== 'undefined' && window.document)
);

export const xmlParser = (xmlString: string): any => {
  const parser = new window.DOMParser();
  const xmlDoc = parser.parseFromString(xmlString, 'text/xml');
  return xmlDoc;
};

export const getElementsByTagname = (elements: any, tagname: string): NodeList => {
  const array = [...elements.childNodes];
  let element: any = null;
  array.forEach((ele) => {
    if (ele.tagName === tagname) {
      element = ele.childNodes;
    }
  });
  return element;
};

export default canUseDOM;
