const NextI18Next = require('next-i18next').default;

const NextI18NextInstance = new NextI18Next({
  defaultNS: 'home',
  lowerCaseLng: true,
  localeSubpaths: {
    'zh-tw': 'zh-tw',
  },
  defaultLanguage: 'zh-tw',
  otherLanguages: ['en'],
  ignoreRoutes: ['/_next/', '/public/'],
  localePath: 'public/locales',
});

module.exports = NextI18NextInstance;
